function [FilteredECG] = preprocessing_v2(ECG,fs)
%uses notch filter
%this version is a testing version for eliminating 50 Hz power line
%noise
%Copyright (C) 2013 Rui Rodrigues <rapr@fct.unl.pt>
%This software is released under the terms of the GNU General Public License (http://www.gnu.org/copyleft/gpl.html)

% ---- preprocess the data ----

  FilteredECG=zeros(size(ECG));

  lmedfilt=floor(12*fs/1000);
  lmovavgkernel=8;
  movavgkernel=ones(1,floor(lmovavgkernel*fs/1000))/lmovavgkernel;
  %should it really be done before mqrs detection????


  %noch filter 50Hz
  %fs=samplingrate;
  fs2=fs/2;
  %%[b,a]=pei_tseng_notch ( 50/fs2, 3/fs2 ); 
  %%load notchfilter50Hz.txt
  %%b ,a
  load nfilter50Hz.txt
  b=nfilter50Hz(1,:);
  a=nfilter50Hz(2,:);

  %%load notchfilter60Hz.txt
  %%d ,c
  load nfilter60Hz.txt
  d=nfilter60Hz(1,:);
  c=nfilter60Hz(2,:);

  for i=1:4
    FilteredECG(i,:)=removebaseline(ECG(i,:), fs);
    FilteredECG(i,:)=medfilt1(FilteredECG(i,:),lmedfilt);
    %FilteredECG(i,:)=filtfilt(movavgkernel,1,FilteredECG(i,:));

    [R S]=testmains(FilteredECG(i,:),fs);

    %if((R>0.1)&&(S<0.1))
      FilteredECG(i,:)=filtfilt(b,a,FilteredECG(i,:));%50hz
    %elsei
    if((R<0.1)&&(S>0.1))
      FilteredECG(i,:)=filtfilt(d,c,FilteredECG(i,:));%60hz
    end

  end

  FilteredECG=saturate(FilteredECG);

end
